IMPORTANT TECHNICAL INFORMATION
 
 
Attention SecureCom Wireless Customers:

Effective today, all SecureCom Wireless customers using a Remote Link version older than 1.73 (3/16/2015) will no longer be able to activate, deactivate or manage SIM cards or MEIDs. Attempting to continue to use older Remote Link versions will result in an error stating “Error connecting with SSL”.

To remedy this issue, simply update to Remote Link version 1.73 (3/16/2015) or newer. Remote Link update downloads are available free of charge at dmp.com/dealer_direct.

To increase the security of communications during activations, SecureCom Wireless is no longer allowing the use of SSL Version 3.0.

Please contact SecureCom Wireless Customer Service if you have any questions or concerns at 877-300-8030 or at customerservice@securecomwireless.com.